Page MenuHomePhabricator

Test Datatype formula with different browsers
Closed, ResolvedPublic

Description

I think we have a problem editing formula with chrome.
While it works on our labs instance
http://wikidata-math-de.wmflabs.org/wiki/Q2
it does not work on beta
http://wikidata.beta.wmflabs.org/w/index.php?title=Q117940


Firefox


chrome

Event Timeline

Physikerwelt assigned this task to Llyrian.
Physikerwelt raised the priority of this task from to High.
Physikerwelt updated the task description. (Show Details)
Physikerwelt added projects: Math, Wikidata.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 12 2016, 7:29 PM
This comment was removed by Physikerwelt.
Physikerwelt updated the task description. (Show Details)Jan 12 2016, 7:32 PM
Physikerwelt set Security to None.

This edit: http://wikidata.beta.wmflabs.org/w/index.php?title=Q117940&type=revision&diff=319470&oldid=319469 was done with Google Chrome 47.0.2526.106 m on a Windows 7 computer. No problem at all.

This comment was removed by Llyrian.
hoo added a subscriber: hoo.Jan 12 2016, 10:28 PM
Llyrian added a comment.EditedJan 12 2016, 11:04 PM

Chrome Version 47.0.2526.106 m on Windows 10 also works fine, havn't encountered any unexpected behaviors yet

Llyrian added a comment.EditedJan 12 2016, 11:22 PM

Also no Issues with Chromium Version 31.0.1650.63 Debian jessie/sid (238485) on Linux Mint if that also counts as chrome

I propose the following procedure.

  1. Make a guide how to reproduce the bug.
  2. Try to change the configuration on wikidata-math-de in a way that the bug can be reproduced there.
  3. Fix the bug on wikidata-math-de
  4. upload a patch to gerrit

I have seen the same issue in Chrome. But it vanished when I cleaned my localStore (open a JavaScript console and type localStore.clear()). It can not be reproduced any more when you have done this.

This is typically a ResourceLoader issue. ResourceLoader stores all JavaScript modules in localStore. Clearing your browser cache typically does not clear localStore. ResourceLoader does this, based on a timestamp per module. It could be that the timestamp for the relevant module is not set correctly. But which module should that be? And why does the issue only appear in Chrome? This still confuses me.

To clarify: I still have the problem on beta. I have not deleted my local storage in case it can help reproduce.
I'd like this investigated before it goes life to make sure we're not hitting it in production. That would make all of the people sad ;-)

My tests:


(OS information)


(IE Version)


(Chrome version)

Results:


(Chrome)


(IE)
Behaviour:
IE: Clicking on edit does nothing.
Chrome: Clicking on edit does only show edit menu but no input box.

Tested on Windows 7 with

  • Chrome (Version 48.0.2564.82 m)
  • Firefox (43.0.4)

and worked fine.

But in IE 8 it doesn't even show the values:


(see https://phabricator.wikimedia.org/T71702)

In IE 11 it does nothing when I click on edit.

Llyrian added a comment.EditedJan 22 2016, 6:25 PM

When disconnecting from the internet while the site is open, pressing on edit makes the svg disappear and trying to remove or save a changed value results in an empty error message:

Pressing on edit at a removed pic does nothing after reconnecting, similar to IE 11 behavior

Test in the picture was done on Windows 10, Chrome Version 47.0.2526.106 m

Error also occurs like that with Firefox Version 43.0.4 and Microsoft Edge 25.105860.0/Microsoft EdgeHTML 13.10586

The 'propblem' with IE 11 on Win 7 seems to be another issue. In IE 11 I can't edit or add any property of any item. So: editing / adding in wikidata on wmflabs doesn't work at all for me with IE 11 on Win 7.

I just tried it in a virtual machine with IE 11 and Windows 7. I could edit a statement.

WickieTheViking added a comment.EditedJan 26 2016, 3:18 PM

I can reproduce the error 'It is not possible to define a new value for a deleted property.' in vagrant (http://wikidata-math-de.wmflabs.org/wiki/Q15) when I try to add an old property (P4) of property type 'PT:math', which is obsolete, because the name has changed to 'math'. This happened in chrome and Firefox on Win 7. So I created a new property of property type 'math' (P10). I can add and edit it to any item. So it work's again in vagrant.

I created a new property of type 'Mathematical expression' in wmflabs (P62711), which produces the same error when I try to add it to our math testing item (even with Firefox). I created a new item to see the behavior there but I can't find / add any property there (see picture).

I think @thiemowmde can elaborate what was changed on the wikibase end that caused this change, since I dont really understand what's going on whith this PT prefix.

Llyrian added a subscriber: Llyrian.EditedJan 26 2016, 6:23 PM

When I tried to add P62711 to Q117940 I also got the 'It is not possible to define a new value for a deleted property.' error

I did not have Wickies issue though, although I did not created a new item, but took an existing one:


http://wikidata.beta.wmflabs.org/wiki/Q2145

I was wondering:
The data type 'Math (TeX)' is not editable for everyone because somehow, because the browsers cannot get access to some part of the code (at least most of the examples here had access to the formatter, otherwise the output shouldn't be possible unless it's cached outside), resulting of them thinking, the data type is not existant anymore as shown in the P62711 example.
The two differences I see in this data type compared to the others are

  1. it's stored on the math extension instead in WikibaseRepo/Client.
  2. it uses svg as an output instead of text in chrome and IE? Firefox seems to use some kind of text, because I can mark up the formular, which I can't in Chrome and Edge.


While the second should nothing to do with editing a statement, might the first one be responsible? If so, how can I test that?

We solved this issue. The problem was the name of the data type. When the Chrome bug appeared, the name changed from 'PT:math' to 'Math (TeX)' (and finally to 'Mathematical Expression'). The property P59844 used in our test item Q117940 'math testing' was created when the name of property's data type was 'PT:math'. It looks like Chrome was cashing it into the localstore as Thiemo said. So, everybody who used the property in chrome couldn't edit nor add it after the data type's name changed to 'Math (TeX)'. Furthermore it seems like it was a special problem wit the prefix 'PT:'. But it's just a side note.

Now, the data type is named 'Mathematical Expression'. We created a new property P62711 with this data type and deleted the old P59844. The Bug was still there, when we tried to add / edit the new property with chrome, but when we opened a new tab in chrome in incognito mode, it worked. So we guess that Lydia is the only person left with this bug. So it should work, if you use the incognito mode or if you clear the localstore as Thiemo proposed.

Can you confirm our explanation and close this bug?

Ok I tried it in an incognito window now and it is fine there. It still doesn't work in my main session. But I guess that is ok now if you're confident this doesn't bite us in production.

Lydia_Pintscher closed this task as Resolved.Feb 1 2016, 3:13 PM